//
//  ExplorerRepository.swift
//  SodaLive
//
//  Created by klaus on 2023/08/10.
//

import Foundation
import CombineMoya
import Combine
import Moya

final class ExplorerRepository {
    private let api = MoyaProvider<ExplorerApi>()
    
    func getExplorer() -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.getExplorer)
    }
    
    func searchChannel(channel: String) -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.searchChannel(channel: channel))
    }
}
